API REFERENCEv1

View Number

GEThttps://api2.protexting.com/v1/numbers/view

Pass your server-side token as access_token. Replace sample values with your own. Authentication & setup →

Request parameters:

ParameterDescription
numberPhone number

Response parameters:

ParameterDescription
Number String
Status_Id Integer, view statuses »
Status_Description String, view statuses »
Blocked_Date String, Date Time

Example Request:

Request example
# Set PROTEXTING_ACCESS_TOKEN in your environmentcurl --request GET \  "https://api2.protexting.com/v1/numbers/view?number=16463498xxx&access_token=${PROTEXTING_ACCESS_TOKEN:?Set your API token}" \  --header 'Accept: application/json'
Server-side exampleJSON · HTTPS

Example Response Headers:

Response headers example
Status Code: 200 OK
Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0
Connection: Keep-Alive
Content-Type: application/xml; charset=utf-8
Keep-Alive: timeout=5, max=100
Link: <https://api2.protexting.com/v1/numbers/view?access_token=your_access_token&number=16463498xxx>; rel=self Pragma: no-cache Transfer-Encoding: chunked X-Pagination-Current-Page: 1 X-Pagination-Page-Count: 1 X-Pagination-Per-Page: 100 X-Pagination-Total-Count: 46 X-Powered-By: PHP/5.6.2 X-Rate-Limit-Limit: 60 X-Rate-Limit-Remaining: 59 X-Rate-Limit-Reset: 0

Example Response Body:

JSON response example
{
    "Number":16463498xxx,
    "Status_Id": 0,    "Status_Description":"Active",    "Blocked_Date" : null
}
XML response example
<response>
    <Number>16463498xxx</Number>
    <Status_Id>0</Status_Id>    <Status_Description>Active</Status_Description>    <Blocked_Date/>
</response>

HTTP Status Codes:

The standard HTTP Status Codes are used. More information is available here: http://www.iana.org/assignments/http-status-codes/http-status-codes.xhtml

Error Codes:

Error Codes and Examples here »

Statuses:

Status IdStatus Description
0Active
1Inactive
301Temporarily blocked.
302Permanently blocked.

Reference from the ProTexting documentation catalog. Code examples are illustrative; this page does not execute API requests.